package test;

import java.util.logging.Logger;

import javax.ws.rs.BeanParam;

public class RepositoryEntryResourceImpl implements RepositoryEntryResource {

    private static final Logger LOG = Logger.getLogger(RepositoryEntryResourceImpl.class.getName());

    @BeanParam
    private PathContext pathContext;

    @Override
    public String getEntry() {
        LOG.info("injected pathContext: " + pathContext);
        return pathContext.getEntryId();
    }
}
