package test;

import static org.testng.Assert.assertEquals;

import org.apache.cxf.jaxrs.client.JAXRSClientFactory;
import org.testng.annotations.Test;

public class JerseyIT {

    @Test
    public void getEntryIdFromInjectedPathContextTest() {
        RepositoriesResource repositoriesResource = JAXRSClientFactory.create("http://localhost:8080/test/api", RepositoriesResource.class);

        String entryIdFromInjectedPathContext = repositoriesResource.getRepositoryResource("0815").getRepositoryEntryResource("0816")
            .getEntry();

        assertEquals(entryIdFromInjectedPathContext, "0816");
    }
}
