package test;

import java.util.logging.Logger;

import javax.annotation.PostConstruct;
import javax.ws.rs.PathParam;

public class PathContext {

    private static final Logger LOG = Logger.getLogger(PathContext.class.getName());

    @PathParam("repositoryId")
    private String repositoryId;

    @PathParam("entryId")
    private String entryId;

    @PostConstruct
    public void postConstruct() {
        LOG.info(this.toString());
    }

    public String getEntryId() {
        return entryId;
    }

    @Override
    public String toString() {
        return "hashCode: " + this.hashCode() + ", repositoryId: " + repositoryId + ", entryId: " + entryId;
    }
}
