package test;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

public interface RepositoryResource {

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    @Consumes(MediaType.APPLICATION_JSON)
    @Path("{repositoryId}")
    String getRepository(@PathParam("repositoryId") String id);

    @Path("entries/{entryId}")
    RepositoryEntryResource getRepositoryEntryResource(@PathParam("entryId") String entryId);
}
